<html>

<head>
<title>Hourly Data</title>

<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body background="sfc_map.png">

<?php

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        print( "<p><b>Unable to connect to database</b></p>" );
    }
    else
    {
        include 'functions.php';
        include 'local/global.php';

        $sql = "SELECT current_date";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today_full = pg_result( $result_set, 0, 0 );
            $today = explode( "-", $today_full );
        }
        else
        {
            $today[0]="0000";
            $today[1]="00";
            $today[2]="00";
        }

        if( !isset( $date_stamp ) )
        {
            $datestamp = $today[0]."-".$today[1]."-".$today[2];
        }
        else
        {
            $datestamp = $date_stamp;
        }

        $sql = "SELECT city,county,state FROM nodes WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $city = pg_result( $result_set, 0, 'city' );
            $county = pg_result( $result_set, 0, 'county' );
            $state = pg_result( $result_set, 0, 'state' );

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr><td align=\"center\" >\n" );
            print( "<font size=\"5\"><b>&nbsp;" . $city . ", " . $state . " (" . $county . ")&nbsp;</b></font><br>\n" );
            print( "<font size=\"4\">Hourly Summaries</font>\n" );
            print( "</td></tr></table>\n" );

            print( "<br>" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr>\n" );
            print( "<form action=\"hourly.php\" name=\"ts1\" method=\"get\">\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;Date:&nbsp;(<em>yyyy-mm-dd</em>)&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
            print( "<input type=\"Text\" name=\"date_stamp\" value=\"".$datestamp."\" size=\"20\">\n" );
            print( "<a href=\"javascript:show_calendar('document.ts1.date_stamp', document.ts1.date_stamp.value, 3)\">\n" );
            print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n" );
            print( "<input type=\"Submit\" value=\" Go \" valign=\"middle\">\n" );
            print( "</form>&nbsp;</td>\n" );
            print( "</tr></table>\n" );

            print( "<br>" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Hour</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Temp</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Wind\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Barom</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Humidity</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Precip<br>Last Hr</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">EMP</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Soil<br>Temp</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">uRntgns<br>(avg)</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT EXTRACT( hour from dtg_local),tcr,wac_dir,wac_spd,bcr,plh,hcr,emp,tsd,rha FROM hourly WHERE cast( dtg_local as date ) = '".$datestamp."' ORDER BY dtg_local";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            for( $i=0; $i<$rows; $i++ )
            {
                $v0 = pg_result( $result_set, $i, 0 );
                $v1 = pg_result( $result_set, $i, 'tcr' );
                $v2 = pg_result( $result_set, $i, 'wac_spd' );
                $v3 = direction( pg_result( $result_set, $i, 'wac_dir' ) );
                $v4 = pg_result( $result_set, $i, 'bcr' );
                $v4a = $v4 / 338.653;
                $v5 = pg_result( $result_set, $i, 'plh' ) / 100.00;
                $v6 = pg_result( $result_set, $i, 'hcr' );
                $v7 = pg_result( $result_set, $i, 'emp' );
                $v8 = pg_result( $result_set, $i, 'tsd' );
                $v9 = pg_result( $result_set, $i, 'rha' );

                print( "<tr>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v0."</td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".tcolor($v1)."\">".$v1."&deg;</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v3."@<font color=\"".wcolor($v2)."\">".$v2."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($v4a,2)."\"<br>(".($v4/10.0)."mb)</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".hcolor($v6)."\">".$v6."%</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".pcolor($v5)."\">".number_format($v5,2)."\"</font></td>\n" );
                print( "<td width=\"10%\" bgcolor=\"#C0C0C0\"><p align=\"right\"><font color=\"".ecolor($v7)."\">".$v7."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".tcolor($v8)."\">".$v8."&deg;</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\"bgcolor=\"#C0C0C0\">".$v9."</td>\n" );
                print( "</tr>\n" );
            }
            print( "</table></div>\n" );
        }
        else
        {
            print( "<p><center><em>Error accessing database</em></center></p>\n" );
        }
    }
?>

</body>
</html>

