<html>

<head>
<title>Monthly Summaries</title>

<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body background="sfc_map.png">

<?php

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        print( "<p><b>Unable to connect to database</b></p>" );
    }
    else
    {
        include 'functions.php';
        include 'local/global.php';

        $sql = "SELECT current_date";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today_full = pg_result( $result_set, 0, 0 );
            $today = explode( "-", $today_full );
        }
        else
        {
            $today[0]="0000";
        }

        if( !isset( $date_stamp ) )
        {
            $datestamp = $today[0];
        }
        else
        {
            $datestamp = $date_stamp;
        }

        $sql = "SELECT city,county,state FROM nodes WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $city = pg_result( $result_set, 0, 'city' );
            $county = pg_result( $result_set, 0, 'county' );
            $state = pg_result( $result_set, 0, 'state' );

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr><td align=\"center\" >\n" );
            print( "<font size=\"5\"><b>&nbsp;" . $city . ", " . $state . " (" . $county . ")&nbsp;</b></font><br>\n" );
            print( "<font size=\"4\">Monthly Summaries</font>\n" );
            print( "</td></tr></table>\n" );

            print( "<br>" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr>\n" );
            print( "<form action=\"monthly.php\" name=\"ts1\" method=\"get\">\n" );        
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;Date:&nbsp;(<em>yyyy</em>)&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
            print( "<input type=\"Text\" name=\"date_stamp\" value=\"".$datestamp."\" size=\"20\">\n" );
            print( "<a href=\"javascript:show_calendar('document.ts1.date_stamp', document.ts1.date_stamp.value, 1)\">\n" );
            print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n" );
            print( "<input type=\"Submit\" value=\" Go \" valign=\"middle\">\n" );
            print( "</form>&nbsp;</td>\n" );
            print( "</tr></table>\n" );

            print( "<br>" );

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Month</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Mean<br>Temp</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Avg<br>Wind\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Avg<br>Barom</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Precip</td>\n" );            
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">EMP</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Mean<br>Soil Temp</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Cooling<br>Deg Days</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Heating<br>Deg Days</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Avg<br>uRoentgens</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT mo_date,mtemp,mwind_spd,mwind_dir,mbar,mrad,precip,emp,mtsd,heat_days,cool_days FROM monthly WHERE mo_date LIKE '".$datestamp."%' ORDER BY mo_date";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            for( $i=0; $i<$rows; $i++ )
            {
                $v0 = substr( pg_result( $result_set, $i, 0 ), 5, 2 ); 
                $v1 = pg_result( $result_set, $i, 'mtemp' );
                $v2 = pg_result( $result_set, $i, 'mwind_spd' );
                $v3 = direction( pg_result( $result_set, $i, 'mwind_dir' ) );
                $v4 = pg_result( $result_set, $i, 'mbar' );
                $v4a = $v4 / 338.653;
                $v5 = pg_result( $result_set, $i, 'mrad' );
                if( !isset( $v5 ) )
                    $v5 = "&nbsp";
                $v6 = pg_result( $result_set, $i, 'precip' ) / 100.00;
                $v7 = pg_result( $result_set, $i, 'emp' );
                $v8 = pg_result( $result_set, $i, 'mtsd' );
                $v9 = pg_result( $result_set, $i, 'cool_days' );
                $v10 = pg_result( $result_set, $i, 'heat_days' );

                print( "<tr>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v0."</td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".tcolor($v1)."\">".$v1."&deg;</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v3."@<font color=\"".wcolor($v2)."\">".$v2."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($v4a,2)."\"<br>(".($v4/10.0)."mb)</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".pcolor($v6)."\">".number_format($v6,2)."\"</font></td>\n" );
                print( "<td width=\"10%\" bgcolor=\"#C0C0C0\"><p align=\"right\"><font color=\"".ecolor($v7)."\">".$v7."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".tcolor($v8)."\">".$v8."&deg;</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v9."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v10."</font></td>\n" );
                print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v5."</font></td>\n" );
                print( "</tr>\n" );

            }

            print( "</table></div>\n" );

        }
        else
        {
            print( "<p><center><em>Error accessing database</em></center></p>\n" );
        }
    }
?>

</body>
</html>

