/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// cconfig.h
//

#ifndef _CCONFIG_H_
#define _CCONFIG_H_

#include "common.h"
#include "ax25.h"

#ifndef BOOL
    typedef int BOOL;
#endif

struct comconf
{
    char szServerCall[CALLSSID_SIZE+1];
    char szAlias[ALIAS_SIZE+1];
    char szAprsToCall[CALLSSID_SIZE+1];
    char szAprsDigis[AX25_DIGI_SIZE];
    char szAx25Port[16];
    double dLatitude;
    double dLongitude;
};


#ifdef __cplusplus
extern "C"
{
#endif

    BOOL ReadComConfig( void );

#ifdef __cplusplus
}
#endif


#ifndef _CCONFIG_CPP_
    extern comconf g_ComConfig;
#endif


#endif  // _CCONFIG_H_

