//////////////////////////////////////////////////////////////////////////////
// htoi.cpp - ASCII hex to integer conversion
//
//                             -------------------
//    begin                : Wed Feb  5 11:25:29 CST 2003
//    copyright            : (C) 2003-2005 by John Bennett
//    email                : n4xi@arrl.net
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
////////////////////////////////////////////////////////////////////////////


#define _HTOI_CPP_

#include "htoi.h"

//////////////////////////////////////////////////////////////////////////////
// htoi - assumes string is right justified and there are no spaces.
//        Also assumes that string only contains UC legit hex-ASCII
//        characters. Returns signed integer or zero. There is no error
//        return.
//

short htoi( char * pS, int nLen )
{
    short i;
    char c;
    short nResult;

    nResult = 0;

    for( i=0; i<nLen; i++ ) {
        nResult *= 16;
        c = *(pS+i) - '0';
        if( (c-10) < 0 )
            nResult += (short) c;
        else
            nResult += (short) c - 7;
    }

    return nResult;
}

