/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// spacedelimit.cpp  - replace commas with spaces in a string
//

#define _SPACEDELIMIT_CPP_

#include <string.h>

#include "spacedelimit.h"


////////////////////////////////////////////////////////////////////////////
// SpaceDelimit - replace commas with spaces in a string.

void SpaceDelimit( char * pS )
{
    char szTemp[128];
    char * pT;
    char * pL;

    pL = pS;
    pT = szTemp;

    while( *pL )
    {
        while( *pL == ',' )
        {
            *pT++ = ' ';
            if( *++pL == ',' )
            {
                *pT++ = '-';
                *pT++ = ' ';
                pL++;
            }
            else if( *pL == 0 )
                *pT++ = '-';
        }

        if( *pL == 0 )
            break;
        *pT++ = *pL++;

    }

    *pT = 0;
    strcpy( pS, szTemp );
}
