<html>

<head>
<title>Alarm Data</title>

<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body bgcolor="#A0A0A0">

<?php

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        print( "<p><b>Unable to connect to database</b></p>" );
    }
    else
    {
        include 'functions.php';
        include 'local/global.php';

        $sql = "SELECT current_date";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today_full = pg_result( $result_set, 0, 0 );
            $today = explode( "-", $today_full );
        }
        else
        {
            $today[0]="0000";
            $today[1]="00";
            $today[2]="00";
        }

        if( !isset( $date_stamp ) )
        {
            $datestamp = $today[0]."-".$today[1]."-".$today[2];
        }
        else
        {
            $datestamp = $date_stamp;
        }

        $sql = "SELECT prh,p24,wgh,wah,thr,tlr,blr,ecc,rad FROM alarmpoints WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $prh = pg_result( $result_set, 0, 'prh' );
            $prh /= 100.00;
            $p24 = pg_result( $result_set, 0, 'p24' );
            $p24 /= 100.00;
            $wgh = pg_result( $result_set, 0, 'wgh' );
            $wah = pg_result( $result_set, 0, 'wah' );
            $thr = pg_result( $result_set, 0, 'thr' );
            $tlr = pg_result( $result_set, 0, 'tlr' );
            $blr = pg_result( $result_set, 0, 'blr' );
            $blr *= 10;
            $ecc = pg_result( $result_set, 0, 'ecc' );
            $rad = pg_result( $result_set, 0, 'rad' );
        }
        else    // defaults if alarmpoints not available
        {
            $prh = 1.00;
            $p24 = 1.00;
            $wgh = 40;
            $wah = 40;
            $thr = 100;
            $tlr = 0;
            $blr = 9820;
            $ecc = 200;
            $rad = 27;
        }

        $sql = "SELECT city,county,state FROM nodes WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $city = pg_result( $result_set, 0, 'city' );
            $county = pg_result( $result_set, 0, 'county' );
            $state = pg_result( $result_set, 0, 'state' );

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr><td align=\"center\" >\n" );
            print( "<font size=\"5\"><b>Data Alarms</b></font><br>\n" );
            print( "<font size=\"4\">&nbsp;" . $city . ", " . $state . " (" . $county . ")&nbsp;</font>\n" );
            print( "</td></tr></table>\n" );

            print( "<br>" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr>\n" );
            print( "<form action=\"alarm.php\" name=\"ts1\" method=\"get\">\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;Date:&nbsp;(<em>yyyy-mm-dd</em>)&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
            print( "<input type=\"Text\" name=\"date_stamp\" value=\"".$datestamp."\" size=\"20\">\n" );
            print( "<a href=\"javascript:show_calendar('document.ts1.date_stamp', document.ts1.date_stamp.value, 3)\">\n" );
            print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n" );
            print( "<input type=\"Submit\" value=\" Go \" valign=\"middle\">\n" );
            print( "</form>&nbsp;</td>\n" );
            print( "</tr></table>\n" );

            print( "<br><em>Values that tripped the alarm are shown in <font color=\"#FF0000\">red</font></em>.<br><br>" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Time</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Temp</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Wind<br>Gust</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Wind<br>Avg</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Precip<br>Rate Hr</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Precip<br>Since<br>Midnight</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Precip<br>24 Hr</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">Barom</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">EMP<br>5/10/60</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#FFFF00\">uRntgns<br>(avg)</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">Alarm Points</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$thr."&deg;<br>".$tlr."&deg;</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$wgh." mph</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$wah." mph</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".number_format($prh,2)."\"</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\"><em>n/a</em></td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".number_format($p24,2)."\"</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$blr/10.0." mb<br>".number_format($blr/338.653,2)."\"</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$ecc."</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">".$rad."</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT dtg_local,tcr,wgc_dir,wgc_spd,wac_dir,wac_spd,prh,pca,p24,bcr,ecc,eqc,ehc,rca FROM alarm WHERE cast( dtg_local as date ) = '".$datestamp."' ORDER BY dtg_local";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                for( $i=0; $i<$rows; $i++ )
                {
                    $v0 = pg_result( $result_set, $i, 0 );
                    $vtcr = pg_result( $result_set, $i, 'tcr' );
                    $v2a = direction( pg_result( $result_set, $i, 'wgc_dir' ) );
                    $v2b = pg_result( $result_set, $i, 'wgc_spd' );
                    $v3a = direction( pg_result( $result_set, $i, 'wac_dir' ) );
                    $v3b = pg_result( $result_set, $i, 'wac_spd' );
                    $vprh = pg_result( $result_set, $i, 'prh' ) / 100.00;
                    $vpca = pg_result( $result_set, $i, 'pca' ) / 100.00;
                    $vp24 = pg_result( $result_set, $i, 'p24' ) / 100.00;
                    $v5 = pg_result( $result_set, $i, 'bcr' );
                    $v5a = $v5 / 338.653;
                    $vecc = pg_result( $result_set, $i, 'ecc' );
                    $veqc = pg_result( $result_set, $i, 'eqc' );
                    $vehc = pg_result( $result_set, $i, 'ehc' );
                    $vrca = pg_result( $result_set, $i, 'rca' );

                    print( "<tr>\n" );
                    print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".substr($v0,11,5)."</td>\n" );

                    //// temperature
                    if( ($vtcr >= $thr) || ($vtcr <= $tlr) )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".$vtcr."&deg;</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$vtcr."&deg;</td>\n" );

                    //// wind
                    if( $v2b >= $wgh )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".$v2a."@".$v2b."</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v2a."@".$v2b."</td>\n" );
                    if( $v3b >= $wah )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".$v3a."@".$v3b."</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v3a."@".$v3b."</td>\n" );
                    //// precip
                    // prh
                    if( $vprh >= $prh )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".number_format($vprh,2)."\"</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($vprh,2)."\"</td>\n" );
                    // pca
                    print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($vpca,2)."\"</td>\n" );
                    // p24
                    if( $vp24 >= $p24 )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".number_format($vp24,2)."\"</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($vp24,2)."\"</td>\n" );
                    //// pressure
                    if( $v5 <= $blr )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".number_format($v5a,2)."\"<br>(".($v5/10.0)."mb)</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($v5a,2)."\"<br>(".($v5/10.0)."mb)</td>\n" );
                    //// emp
                    if( $vecc >= $ecc )
                        print( "<td width=\"10%\" bgcolor=\"#C0C0C0\"><p align=\"right\"><font color=\"#FF0000\">".$vecc."&nbsp;/&nbsp;".$veqc."&nbsp;/&nbsp;".$vehc."</font></td>\n" );
                    else
                        print( "<td width=\"10%\" bgcolor=\"#C0C0C0\"><p align=\"right\">".$vecc."&nbsp;/&nbsp;".$veqc."&nbsp;/&nbsp;".$vehc."</td>\n" );
                    //// radiation
                    if( $vrca >= $rad )
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"#FF0000\">".$vrca."</font></td>\n" );
                    else
                        print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\">".$vrca."</td>\n" );
                }
                print( "</tr>\n" );
                print( "</table>\n" );
            }
            else
            {
                print( "<td colspan=\"10\" align=\"center\" bgcolor=\"#C0C0C0\"><em>No alarm data on this date</em></td>\n" );
                print( "</table></div>\n" );
            }

            $sql = "select distinct cast(dtg_local as date) from alarm order by dtg_local";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                print( "<br><div align=\"center\"><table border=\"1\" bgcolor=\"#C0C0C0\">\n" );
                print( "<tr><td align=\"center\" colspan=\"5\" bgcolor=\"#E0E0E0\">Dates Alarms Generated</td></tr\n" );
                for( $i=0; $i<$rows; $i++ )
                {
                    if( $i % 5 == 0 )
                        print( "<tr>" );
                    $alarm_date = pg_result( $result_set, $i, 0 );
                    print( "<td align=\"center\"><a href=alarm.php?date_stamp=".$alarm_date.">".$alarm_date."</a></td>\n" );
                    if( $i % 5 == 4 )
                        print( "</tr>\n" );
                }
                print( "</table></div>\n" );
            }
        }
        else
        {
            print( "<p><center><em>Error accessing database</em></center></p>\n" );
        }
    }
?>

</body>
</html>

