<?php

/////////////////////////////////////////////////////////////////////
// Chill - return wind chill. Uses same formula as currently used
// by NOAA. Note this is a *new* specification and in most cases
// differs significantly from calculations based on old formula.
//

function Chill( $temp, $wind )

{

    if( $temp > 50 )
	    return $temp;

    if( $wind < 3 )
	    return $temp;

    $wp = pow( (float) $wind, 0.16 );

	$result = floor( 35.74 + 0.6251 * $temp - 35.75 * $wp + 0.4275 * $temp * $wp );

	return $result;

}

?>
