<html>

<head>
<title>EMP/Precip</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Precipitation/EMP (Lightning)&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"emp-precip.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        $interval = 1;
        print( 'document.write( "<a href=\"emp-precip.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );

    include 'phplot.php';

    print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
    print( "<form  method=\"GET\" action=\"emp-precip.php\">\n" );
    print( "<td>&nbsp;Span/Days:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"1\">1</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"7\">7</option>\n" );
    print( "<option value=\"14\">14</option>\n" );
    print( "<option value=\"30\">30</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table><br>\n" );

    $conn = pg_Connect( "user=web dbname=wxn");
    if(!$conn)
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( $interval > 2 )
        {
            $sql = "SELECT this_date,precip,edc FROM daily WHERE this_date > current_date - interval '".$interval." days' ORDER BY this_date;";
        }
        else
        {
            $sql = "SELECT dtg_local,plh,emp FROM hourly WHERE dtg_local > current_timestamp - interval '".$interval." days' ORDER BY dtg_local;";
        }
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        $pmax = 0;
        $emax = 0;    
        for( $i=0; $i<$rows; $i++ )
        {
            if( $interval > 2 )
            {
                $pca[$i][0] = substr( pg_result( $result_set, $i, 0 ), 5, 5 );
                $precip = pg_result( $result_set, $i, 'precip' ) / 100.00;
                $emp[$i][1] = pg_result( $result_set, $i, 'edc' );
            }
            else
            {
                $pca[$i][0] = substr( pg_result( $result_set, $i, 0 ), 11, 2 );
                $precip = pg_result( $result_set, $i, 'plh' ) / 100.00;
                $emp[$i][1] = pg_result( $result_set, $i, 'emp' );
            }

            $pca[$i][1] = number_format( $precip, 2 );
            if( $pca[$i][1] > $pmax )
                $pmax = $pca[$i][1];

            $emp[$i][0] = $pca[$i][0];
            if( !isset( $emp[$i][1] ) )
                $emp[$i][1] = 0;
            if( $emp[$i][1] > $emax )
                $emax = $emp[$i][1];
        }
        pg_close( $conn );

    }

    $pmax = ($pmax/100)+1.00;
    if( $emax < 100 )
    {
        $emax = 100;
        $eticks = 10;
    }
    else
    {
        $emax = $emax + 10;
        $eticks = $emax/10;
    }

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );
    $graph->SetIsInline( 1 );
    $graph->SetPrintImage(0);
    $graph->SetXDataLabelAngle(90);

    if( $interval == 1 )
    {
        $graph->SetXLabel( "Last 24 Hours" );
    }
    else if( $interval == 2 )
    {
        $graph->SetXLabel( "Last 48 Hours" );
    }

    $graph->SetMarginsPixels(70,70,50,70);
    $graph->SetLabelScalePosition('1');
    $graph->SetPlotAreaWorld(0,0,$rows,$emax);
    $graph->SetDataType('text-data');
    $graph->SetVertTickIncrement($eticks);
    $graph->SetHorizTickIncrement('1');
    $graph->SetSkipBottomTick(1);
    $graph->SetPrecisionY(0);
    $graph->SetPlotType('bars');
    $graph->SetDataValues($emp);
    $graph->SetDataColors(array('red'),array('black'));
    $graph->SetVertTickPosition('plotleft');
    $graph->SetDrawYGrid(0); 
    $graph->SetDrawDataLabels('1');
    $graph->SetSuppressZeroDataLabel('1');
    $graph->SetDblBarPlot(-1);

    $graph->DrawGraph();

    $graph->SetLegend(array('EMP'));
    $graph->SetLegendWorld(0,$emax,'');
    $graph->DrawLegend(50,10,'');

    //Set Params of another Y Axis
    $graph->SetPlotAreaWorld(0,0,$rows,$pmax);
    $graph->SetDrawXDataLabels(0); //already plotted
    $graph->SetDataValues($pca);
    $graph->SetDataColors(array('blue'),array('black'));
    $graph->SetLegend(array('Precip'));
    $graph->SetLegendWorld(0,$pmax,'');
    $graph->DrawLegend($width-100,10,'');
    $graph->SetDblBarPlot(1);
    $graph->SetVertTickIncrement('0.1');
    $graph->SetVertTickPosition('plotright');
    $graph->SetYGridLabelPos('plotright');
    $graph->SetYAxisPosition($rows);
    $graph->SetPrecisionY(2);
    $graph->DrawYAxis();
    $graph->DrawBars();

    $graph->SetPrintImage(1);
    $graph->PrintImage();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>


