<?php

// gdb-fields.php

$fields = array (

    "state",
    "The standard two-letter state code. Upper-case.",

    "county",
    "They county in which the locale resides. Entries are title case and are case-sensitive.",

    "city",
    "The locale.",

    "fips",
    "The five digit FIPS code for this locale. The first two digits indicate the state while ".
        "the last three designate the county.",

    "longitude",
    "The longitude for the locale in decimal degrees (e.g., 70&deg; 30' = 70.5&deg;). Note ".
        " that west of the prime meridian is positive, east negative.",

    "latitude",
    "The latitude of the locale in decimal degrees (e.g., 23&deg; 30' = 23.5&deg;)",

    "afos",
    "A three letter code designating the NWS office that is services this locale. ".
        "AFOS stands for <b>Automation of Field Operations and Services</b>. This is an ".
        "older term that describes the computer systems that the NWS used at offices ".
        "to gather weather data. It has been replaced by AWIPS, Advanced Weather Interactive ".
        "Processing System.",

    "elev",
    "The elevation of the locale in feet ASL (Above Sea Level)",

    "zone",
    "The timezone of this locale. This number, expressed in hours, when added to the local ".
        "time gives UTC time.",

    "dst",
    "Daylight Savings Time (DST) flag. True ('t') if the locale observes DST, false ('f') ".
        "if not.",

    );

?>

