<?php

// hourly-fields.php

$fields = array (

    "range",
    "The range of dates to display. If only one date is required, only the first date field should be populated.",
        
    "dtg_local",
    "The local date/time of the last reading taken.",
    
    "tcr",
    "Current temperature in degrees Fahrenheit.",
    
    "tsd",
    "Soil temperature at 6\" depth.",
    
    "wac_dir",
    "Direction of average wind for the last five minutes. Expressed in degrees.",
    
    "wac_spd",
    "Average wind speed for last five minutes",
    
    "plh",
    "Taken at the top of each hour, is the amount of precipitation in hundredths of an inch that has ".
        "fallen since the last hourly reading was taken. (e.g., 100 = 1.00\")",
    
    "bcr",
    "Current barometric pressure reading in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "hcr",
    "Current humdity readings in percent.",
    
    "ist",
    "The current inside temperature in degrees Fahrenheit (if supported).",
    
    "ish",
    "The current inside humidity in percent (if supported).",
    
    "emp",
    "Electro Magnetic Pulse (lightning) count for the last hour.",
    
    "rha",
    "Current background radiation count averaged over the last hour in micro-roentgens.",
    
    );
    
?>

