<html>

<head>
<title>Station List Summary</title>
<meta http-equiv="Refresh" content="300">

<style type="text/css"><!--
.navlink
{
font-family:sans-serif;
font-weight:normal;
color:black;
text-decoration:none;
}

.navhover
{
font-family:sans-serif;
font-weight:bold;
color:black;
text-decoration:none;
}

--></style>

<script language="JavaScript">

function change(id, newClass)
{
    identity=document.getElementById(id);
    identity.className=newClass;
}

</script>

</head>


<body bgcolor="#A0A0A0">


<p><center>
<b>Station List</b><br>
<font size="2"><i>Click city for detail</i></font>
</center>

<hr>

<?php

include 'functions.php';

$conn = pg_Connect( "user=web dbname=wxn" );
if(!$conn)
  print("<p><b>Unable to connect to database</b></p>");
else
{
    $gmt = gmdate ( "Y-m-d H:i:s" );
    $home = strtoupper( $home );
    $sorry = "Sorry, there are no stations currently available!";
    $count = 0;

    $sql = "SELECT tcr,wac_spd,wac_dir,wgc_spd,pca,pri,ecc,edc,city,state,call_ssid FROM nodes WHERE age('".$gmt."',dtg_zulu) < interval '1 hour' ORDER BY city";
    $result_set = pg_Exec( $conn, $sql );
    $rows = pg_numrows( $result_set );
    if( $rows > 0 )
    {
        // most recent will be last in the list
        for( $i=0; $i<$rows; $i++ )
        {
            $city = pg_result( $result_set, $i, 'city' );
            $state = pg_result( $result_set, $i, 'state' );
            $v1 = pg_result( $result_set, $i, 'tcr' );
            $v2 = pg_result( $result_set, $i, 'wac_spd' );
            $v3 = direction( pg_result( $result_set, $i, 'wac_dir' ) );
            $v7 = pg_result( $result_set, $i, 'pca' ) / 100.00;
            $v8 = pg_result( $result_set, $i, 'pri' );
            $v9 = pg_result( $result_set, $i, 'ecc' );

            $v10 = pg_result( $result_set, $i, 'call_ssid' );

            if( strstr($city, "unknown>") )
                continue;

            print( "<a class=\"navlink\" id=\"g".$i."\" href=\"current.php?nodecall=".$v10."\" target=\"frame1\" " );
                print( "onmouseover=\"change('g".$i."', 'navhover');\" onmouseout=\"change('g".$i."', 'navlink');\">" );
                print( $city.", ".$state."</a><br>\n");

            print( "<font size=\"2\">\n" );

            // temperature
            print( "&nbsp;<font color=\"".tcolor($v1)."\">".$v1."</font>&deg;&nbsp;&nbsp;&nbsp;&nbsp;" );

            // wind
            if( $v2 > 0 )
            {
                print( $v3."@".$v2."&nbsp;mph" );
            }
            else
            {
                print( "wind calm" );
            }
            print( "<br>\n" );

            // precip
            if( $v7 > 0 || $v9 > 0 )
                print( "&nbsp;Precip:&nbsp;<font color=\"".pcolor($v7)."\">".number_format($v7,2)."</font>\"\n" );

            if( $v8 > 0 )   // raining now?
            {
                if( $v1 < 32 )
                {
                    print( "&nbsp;<img src=\"snow.gif\" width=\"35\" height=\"20\">" );
                }
                else
                {
                    print( "&nbsp;<img src=\"rain.gif\" width=\"35\" height=\"20\">" );
                }
            }
            if( $v9 > 0 )   // and EMP?
                print( "&nbsp;<img src=\"bolt.gif\" width=\"20\" height=\"20\">" );

            if( $v7 > 0 || $v9 > 0 )
                print( "<br>\n" );

            print( "</font><hr>\n" );

            $count++;
        }

        if( $count == 0 )
            print("<p><em>".$sorry."</em></p>");
    }

    else
        print("<p><em>".$sorry."</em></p>\n");

}


?>

</body>
</html>

