<html>

<head>
<title>Hourly Air-Soil Temps</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Air/Soil Temperatures&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"temp-soil.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        $interval = 1;
        print( 'document.write( "<a href=\"temp-soil.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );

    include 'phplot.php';

    print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
    print( "<form  method=\"GET\" action=\"temp-soil.php\">\n" );
    print( "<td>&nbsp;Span/Days:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"1\">1</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"7\">7</option>\n" );
    print( "<option value=\"14\">14</option>\n" );
    print( "<option value=\"30\">30</option>\n" );
    print( "<option value=\"60\">60</option>\n" );
    print( "<option value=\"90\">90</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table><br>\n" );

    $conn = pg_Connect( "user=web dbname=wxn");

    if( !$conn )
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( $interval > 2 )
        {
            $sql = "SELECT this_date,mtemp,mtsd FROM daily WHERE this_date >= (current_date - interval '".$interval." days') ORDER BY this_date;";
            $result_set = pg_Exec($conn, $sql);
            $rows = pg_numrows( $result_set );
            for( $i=0; $i<$rows; $i++ )
            {
                if( $interval > 30 )
                {
                    if( $i%3 == 0 )
                    {
                        $temp_data[$i][0] = substr( pg_result( $result_set, $i, 'this_date' ), 5, 5 );
                    }
                    else
                    {
                        $temp_data[$i][0] = "";
                    }
                }
                else
                {
                    $temp_data[$i][0] = substr( pg_result( $result_set, $i, 'this_date' ), 5, 5 );
                }
                $temp_data[$i][1] = pg_result( $result_set, $i, 'mtemp' );
                $temp_data[$i][2] = pg_result( $result_set, $i, 'mtsd' );
            }
        }
        else
        {
            $sql = "SELECT dtg_local,tcr,tsd FROM hourly WHERE dtg_local >= (current_timestamp - interval '".$interval." days') ORDER BY dtg_local;";
            $result_set = pg_Exec($conn, $sql);
            $rows = pg_numrows( $result_set );
            $last = "";
            for( $i=0; $i<$rows; $i++ )
            {
                $dtg = pg_result( $result_set, $i, 0 );
                $day = substr( $dtg, 5, 5 );
                $temp_data[$i][0] = substr( $dtg, 11, 2 );
                $temp_data[$i][1] = pg_result( $result_set, $i, 'tcr' );
                $temp_data[$i][2] = pg_result( $result_set, $i, 'tsd' );
            }
        }

        pg_close( $conn );

    }

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );

    if( $interval > 1 )
    {
        $graph->SetPlotType( "lines" );
    }
    else
    {
        $graph->SetPlotType( "linepoints" );
    }

    if( $interval == 1 )
    {
        $graph->SetXLabel( "Last 24 Hours" );
    }
    else if( $interval == 2 )
    {
        $graph->SetXLabel( "Last 48 Hours" );
    }

    $graph->SetYLabel( "Air/Soil Temperature" );
    $dcolor = array( "black", "brown" );

    if( $interval > 1 )
    {
        $graph->SetXDataLabelAngle(90);
    }

    $graph->SetVertTickIncrement( 10 );
    $graph->SetPrecisionY( 0 );
    $graph->SetDataValues( $temp_data );

    $bcolor = array( "black" );
    $graph->SetDataColors( $dcolor, $bcolor );
    $graph->SetLegend(array('Air','Soil'));

    //Draw it
    $graph->SetIsInline( 1 );
    $graph->DrawGraph();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>

</body>
</html>

