<html>

<head>
<title>Winds</title>
</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Winds&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"winds.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        $interval = 1;
        print( 'document.write( "<a href=\"winds.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );

    include 'phplot.php';

    print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
    print( "<form  method=\"GET\" action=\"winds.php\">\n" );
    print( "<td>&nbsp;Span/Days:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"1\">1</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"7\">7</option>\n" );
    print( "<option value=\"14\">14</option>\n" );
    print( "<option value=\"30\">30</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table><br>\n" );

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn) {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( $interval > 2 )
        {
            $sql = "SELECT this_date,mwind_spd,mwind_dir FROM daily WHERE this_date > current_date - interval '".$interval." days' ORDER BY this_date;";
        }
        else
        {
            $sql = "SELECT dtg_local,wac_dir,wac_spd FROM hourly WHERE dtg_local > current_timestamp - interval '".$interval." days' ORDER BY dtg_local;";
        }

        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        $max = 0;
        for( $i=0; $i<$rows; $i++ )
        {
            $dir[$i][0] = $i;

            if( $interval > 2 )
            {
                $spd[$i][0] = substr( pg_result( $result_set, $i, 0 ), 5, 5 );
                $spd[$i][1] = pg_result( $result_set, $i, 'mwind_spd' );
                $dir[$i][1] = pg_result( $result_set, $i, 'mwind_dir' );
            }
            else
            {
                $spd[$i][0] = substr( pg_result( $result_set, $i, 0 ), 11, 2 );
                $spd[$i][1] = pg_result( $result_set, $i, 'wac_spd' );
                $dir[$i][1] = pg_result( $result_set, $i, 'wac_dir' );
            }

            if( $spd[$i][1] > $max )
                $max = $spd[$i][1];
        }

        pg_close( $conn );

    }

    if( $max < 20 )
        $max = 20;

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else if( isset( $w ) )
    {
        $w = (int)((int)$w/10)*10;      // round down to nearest 10
        $width = (int)((9*$w)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );
    $graph->SetIsInline( 1 );
    $graph->SetPrintImage(0);

    $graph->SetXDataLabelAngle(90);

    if( $interval == 1 )
    {
        $graph->SetXLabel( "Last 24 Hours" );
    }
    else if( $interval == 2 )
    {
        $graph->SetXLabel( "Last 48 Hours" );
    }

    $graph->SetPlotAreaWorld(0,0,$rows,$max);
    $graph->SetVertTickPosition('plotleft');
    $graph->SetVertTickIncrement( '5' );
    $graph->SetSkipBottomTick(1);
    $graph->SetDataValues($spd);
    $graph->SetDrawYGrid(0); 
    $graph->SetPlotType('bars');
    $graph->SetDrawDataLabels('1');
    $graph->SetPrecisionY(0);
    $graph->SetLabelScalePosition('1');
    $graph->SetDataColors(array('blue'),array('black'));
    $graph->SetMarginsPixels(50,50,50,50);

    $graph->DrawGraph();

    $graph->SetLegend(array('Speed'));
    $graph->SetLegendWorld(0,$max,'');
    $graph->DrawLegend(50,10,'');

    $graph->SetPlotAreaWorld(0,0,$rows,360);
    $graph->SetDataValues($dir);
    $graph->SetPlotType('points');
    $graph->SetDataColors( array('black'),array('black'));
    $graph->SetLegend(array('Direction'));
    $graph->SetLegendWorld(0,360,'');
    $graph->DrawLegend($width-100,10,'');
    $graph->SetDrawXDataLabels(0);
    $graph->SetPointShape('dot');
    $graph->SetPointSize( '7' );
    $graph->SetVertTickIncrement( '90' );
    $graph->SetVertTickPosition('plotright');
    $graph->SetYGridLabelPos('plotright');
    $graph->SetYAxisPosition($rows);
    $graph->SetPrecisionY(0);
    $graph->DrawYAxis();
    $graph->DrawDots();

    $graph->PrintImage();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>

