/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// fips.h - FIPS and geographic database interface handlers
//

#ifndef _FIPS_H_
#define _FIPS_H_

#ifndef BOOL
    typedef int BOOL;
#endif

#include "datastruct.h"


#ifdef __cplusplus
extern "C"
{
#endif

    BOOL SetFips( char * szState, char * szCounty, char * szCity, char * szFips );
    BOOL GetGeoData( struct noderx * pBlock );
    BOOL GetFips( noderef * pInfo );

#ifdef __cplusplus
}
#endif


#endif  // _FIPS_H_

