/////////////////////////////////////////////////////////////////////////////
// textfile.h - handler class for text based files
//
//                             -------------------
//    begin                : Wed Feb  5 11:25:29 CST 2003
//    copyright            : (C) 2003-2005 by John Bennett
//    email                : n4xi@arrl.net
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
////////////////////////////////////////////////////////////////////////////

#ifndef _TEXTFILE_H_

#define _TEXTFILE_H_

#include <stdio.h>

#ifndef BOOL
    typedef int BOOL;
#endif

#ifndef TRUE
    #define TRUE    1
    #define FALSE   0
#endif

#define FILE_READ       0
#define FILE_CREATE     1
#define FILE_CREATE_RW  2
#define FILE_RW         3
#define FILE_APPEND     4
#define FILE_APPEND_R   5


class textfile
{
    public:

        textfile();
        ~textfile();

        BOOL open( const char * pszFile, int nMode );
        BOOL close( void );

        FILE * handle( void );

    private:

        FILE * m_hFile;

};

#endif  // _TEXTFILE_H_
