/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
//    email.h  -  email designated client
//

#ifndef _EMAIL_H_
#define _EMAIL_H_

#include <netinet/in.h>

#ifndef BOOL
    typedef int BOOL;
#endif


struct mailform
{
    char sToAcct[32];
    char sToName[32];
    char sToHost[32];
    in_addr_t inaddr;
    char sFromAcct[32];
    char sFromName[32];
    char sFromHost[32];
    char sReplyTo[64];
    char sSubject[80];
    char * pBody;
    int nBodyLen;
};

BOOL email( mailform & Mail );


#endif  // _EMAIL_H_

